Subject: [payload] summary of changes to draft-ietf-payload-rtp-ancillary from -06 to -07

From: Thomas Edwards <[email-masked]>
Date: Tue, 17 Jan 2017 19:59:52 +0000

Dear Payload WG,

I would like to report the following summary of changes between draft-ietf-payload-rtp-ancillary-06 and -07.  This includes comments from the IETF Last Call, as well as reviews from SECDIR, OPSDIR, and GENART.

1) Change in the details of payload bit format

Several potential implementers noted that -06 contained two reserved bits after Data_Count to 32-bit word align the User_Data_Words.  It was suggested that this unnecessarily breaks up the ANC packet bits as expressed in SDI, and moreover the reserved bits do not actually achieve 32-bit word alignment of User_Data_Words on the second and following ANC data packets carried in the payload.

After substantial input from potential implementers, the format was changed to keep the SDI ANC data packet contiguous, and to add reserved bits to ensure that the start of headers before each ANC data packet is 32-bit word aligned.

The payload format example was enlarged to clearly show the proper carriage of two ANC data packets of different lengths.

2) A Horizontal_Offset value of 0xFFE now indicates that the ANC data may be placed into any legal area of HANC, and similarly a Line_Number value of 0x7FE now indicates that the ANC data may be placed into any legal area of VANC.

3) The “C” bit is not to be ignored even if the ANC data packet is considered to be carried without any specific location within the field or frame.  ANC packets are always defined to be carried in the color difference or luma channel.

4) An optional Media Type parameter LinkNumber was added for the identification of a link number in dual and quad link SDI applications.

5) Made it clear that Multiple DID_SDID parameters do not imply any particular ordering of the different types of ANC packets in the stream.

6) Added note that the Checksum_Word is unlikely to provide a payload integrity check in case of a directed attack.

I will add that -07 has been presented to the Alliance for IP Media Solutions (AIMS) Technical Working Group, which had no substantive comments.  However, the AIMS TWG consensus was to ask for a delay in moving -07 to RFC publishing until the Video Services Forum / Joint Task Force on Networked Media interop event February 6-10 at the Fox Sports facility in Houston, TX.  The feeling was that the -07 version could be fully exercised by the participants there, and any unexpected shortcomings rapidly identified.

Based on this feedback from the AIMS TWG, I have forwarded this request to the IESG responsible AD, Ben Campbell.

-Thomas

--
Thomas Edwards
VP Engineering & Development
FOX Networks Engineering and Operations
[email-masked]
Phone: +1.310.369.6696
10201 West Pico Blvd.
Los Angeles, CA 90035